package org.corpus_tools.mwe;

import org.eclipse.nebula.widgets.nattable.config.AbstractUiBindingConfiguration;
import org.eclipse.nebula.widgets.nattable.edit.action.KeyEditAction;
import org.eclipse.nebula.widgets.nattable.grid.layer.config.DefaultGridLayerConfiguration;
import org.eclipse.nebula.widgets.nattable.layer.CompositeLayer;
import org.eclipse.nebula.widgets.nattable.ui.binding.UiBindingRegistry;
import org.eclipse.nebula.widgets.nattable.ui.matcher.LetterOrDigitKeyEventMatcher;

public class GridLayerConfiguration extends DefaultGridLayerConfiguration {

  public GridLayerConfiguration(CompositeLayer gridLayer) {
    super(gridLayer);
  }

  @Override
  protected void addEditingUIConfig() {
    addConfiguration(new AbstractUiBindingConfiguration() {
      @Override
      public void configureUiBindings(UiBindingRegistry uiBindingRegistry) {
        // Start editing when user starts typing
        uiBindingRegistry.registerKeyBinding(new LetterOrDigitKeyEventMatcher(),
            new KeyEditAction());
      }
    });
  }
}
